Subject: Re: bug#26053: No release notice in 25.2 rc2 ChangeLog

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2017 10:11:17 +0300

> From: Nicolas Petton <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Apr 2017 23:14:01 +0200
> 
> I'm preparing the release, and I noticed that the ChangeLog file only
> contains one entry with the following:
> 
>   2017-04-14  Nicolas Petton  <[email-masked]>
>   
>   	* Version 25.2 released.
> 
> Then it directly refers to ChangeLog.2:
> 
>   See ChangeLog.2 for earlier changes.
> 
> Which is rather odd, so I looked at the 25.1 release, and it has the
> same almost empty ChangeLog file.

In 25.1, the file ChangeLog is almost empty, but the entry about 25.1
release is in ChangeLog.2.

> My question is, was it intended to have the ChangeLog file with only one
> entry (for the release)?

Not sure, but how does that ChangeLog file get created?  Which command
or Makefile rules cause its creation?